View Issue Details

IDProjectCategoryView StatusLast Update
0000996OpenMPT[All Projects] Generalpublic2017-08-10 16:27
Reporter404notfoundAssigned ToSaga Musix 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP
Product VersionOpenMPT 1.27.00.* (old testing) 
Target VersionOpenMPT 1.26.13.00 / libopenmpt 0.2-beta27 (upgrade first)Fixed in VersionOpenMPT 1.26.13.00 / libopenmpt 0.2-beta27 (upgrade first) 
Summary0000996: Crash on song format change with [---] at beginning of order list
Description

MPT crashes when changing format from IT to MOD in song properties and there is empty slot at the beginning or order list.
Attached are two crashes.

Haven't checked other format conversions.

TagsNo tags attached.
Has the bug occurred in previous versions?
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2017-07-29 19:24

administrator   ~0003120

Fixed in r8661.

Issue History

Date Modified Username Field Change
2017-07-29 18:49 404notfound New Issue
2017-07-29 18:49 404notfound File Added: 2017-07-26 23.51.01.zip
2017-07-29 18:49 404notfound File Added: 2017-07-29 21.02.30.zip
2017-07-29 18:52 Saga Musix Assigned To => Saga Musix
2017-07-29 18:52 Saga Musix Status new => assigned
2017-07-29 19:24 Saga Musix Status assigned => resolved
2017-07-29 19:24 Saga Musix Resolution open => fixed
2017-07-29 19:24 Saga Musix Fixed in Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (current stable)
2017-07-29 19:24 Saga Musix Target Version => OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (current stable)
2017-07-29 19:24 Saga Musix Note Added: 0003120
2017-07-29 23:11 Saga Musix File Deleted: 2017-07-26 23.51.01.zip
2017-07-29 23:11 Saga Musix File Deleted: 2017-07-29 21.02.30.zip
2017-08-10 16:27 Saga Musix Fixed in Version OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (current stable) => OpenMPT 1.26.13.00 / libopenmpt 0.2-beta27 (upgrade first)
2017-08-10 16:27 Saga Musix Target Version OpenMPT 1.27.01.00 / libopenmpt 0.3.1 (current stable) => OpenMPT 1.26.13.00 / libopenmpt 0.2-beta27 (upgrade first)